/* 1992 H.Ogasawara (COR.) */

#ifdef XC

asm("
	.xdef	_ConsolePrintf
	.xref	_ConsoleChar
	.xref	__fmtout

_ConsolePrintf:
	move.l	4(sp),d0	* format
	pea	8(sp)		* arglist ptr
	move.l	d0,-(sp)	* format
	clr.l	-(sp)
	pea	_ConsoleChar
	jsr	__fmtout
	lea	16(sp),sp
	rts
");

#else

#include	"corlib.h"
#include	<stdarg.h>
#define		CBUFSIZE	1024

void
ConsolePrintf( char *format, ... )
{
	char	buf[CBUFSIZE];
	va_list	ap;
	va_start( ap, format );
	vsprintf( buf, format, ap );
	ConsolePrint( buf );
	va_end( ap );
}
#endif

